#
# spec file for package apulse
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define __provides_exclude_from ^%{_libdir}/apulse/.*.so.*$
Name:           apulse
Version:        0.1.7
Release:        2.3
Summary:        PulseAudio emulation for ALSA
License:        MIT
Group:          System/Libraries
Url:            https://github.com/i-rinat/apulse
Source:         https://github.com/i-rinat/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpulse) >= 5.0
%if %{?_lib} == lib64
Recommends:     %{name}-32bit = %{version}
%endif

%description
PulseAudio emulation intended to be used with Skype.

%prep
%setup -q

%build
%cmake \
  -DUSE_BUNDLED_PULSEAUDIO_HEADERS=0 \
  -DAPULSEPATH=%{_libdir}/%{name}/
make %{?_smp_mflags}

%install
%cmake_install
rm -f %{buildroot}%{_libdir}/%{name}/*.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE.MIT README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/

%changelog
* Sat Dec 26 2015 mpluskal@suse.com
- Update to 0.1.7:
  * Make pa_proplist be able to store binary objects too.
  * Implement pa_stream_begin_write.
  * Bugfixes.
* Mon Oct  5 2015 sor.alexei@meowr.ru
- Avoid providing libpulse.so in apulse-32bit.
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Initial package.
